Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RDevice.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RDevice.java	(revision 3870)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RDevice.java	(revision 3871)
@@ -72,7 +72,7 @@
 	public String getCurrentSVGDevice() {
 		//TODO: temporary commented
 		String dev = null; //Toolbox.getParam("r_svg_device");
-		if (dev == null || dev.length() == 0) dev = "svg";
+		if (dev == null || dev.length() == 0) dev = "svg"; //$NON-NLS-1$
 		return dev;
 	}
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/messages.properties	(revision 3871)
@@ -0,0 +1 @@
+ErrorCanNotWriteInFileP0=** Error: can not write in file {0}.

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java	(revision 3871)
@@ -0,0 +1,15 @@
+package org.txm.stat.engine.r;
+
+import org.eclipse.osgi.util.NLS;
+
+public class Messages extends NLS {
+	private static final String BUNDLE_NAME = Messages.class.getPackageName() + ".messages"; //$NON-NLS-1$
+	public static String ErrorCanNotWriteInFileP0;
+	static {
+		// initialize resource bundle
+		NLS.initializeMessages(BUNDLE_NAME, Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 3870)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/stat/engine/r/RWorkspaceRenderer.java	(revision 3871)
@@ -109,7 +109,7 @@
 			return null;
 		}
 		if (!file.canWrite()) {
-			Log.severe(TXMCoreMessages.bind("** Error: can not write in file {0}.", file));
+			Log.severe(TXMCoreMessages.bind(Messages.ErrorCanNotWriteInFileP0, file));
 		}
 		String devicename = device.getName();
 		
@@ -129,8 +129,8 @@
 		}
 		
 		try {
-			if (devicename.equals("devSVG")) {
-				workspace.voidEval("library(RSvgDevice);");
+			if (devicename.equals("devSVG")) { //$NON-NLS-1$
+				workspace.voidEval("library(RSvgDevice);"); //$NON-NLS-1$
 			}
 			
 			
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/preferences/RChartsEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/preferences/RChartsEnginePreferences.java	(revision 3870)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/preferences/RChartsEnginePreferences.java	(revision 3871)
@@ -15,7 +15,7 @@
 public class RChartsEnginePreferences extends TXMPreferences {
 
 
-	public final static String PREFERENCES_PREFIX = RChartsEngine.NAME + "_";
+	public final static String PREFERENCES_PREFIX = RChartsEngine.NAME + "_"; //$NON-NLS-1$
 	
 	
 	public static final String OUTPUT_FORMAT = PREFERENCES_PREFIX + "output_format"; //$NON-NLS-1$
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/messages.properties
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/messages.properties	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/messages.properties	(revision 3871)
@@ -0,0 +1,4 @@
+ErrorNoChartToExport=Error: no chart to export (null). The result was never computed?
+ErrorRChartWasNullInP0=Error: R chart was null in: 
+RChartEngineExportFormatP0CannotDiffferFromTheCurrent=Error: RChartEngine export format ({0}) cannot differ from the current display format ({1})
+RChartEngineOnlyManageFileChartsP0=Error: RChartEngine only manage File charts: 

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/messages.properties
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 3870)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartCreator.java	(revision 3871)
@@ -55,7 +55,7 @@
 			createChart(result, (File) chart);
 		}
 		else {
-			Log.warning("Error: R chart was null in: " + result);
+			Log.warning(Messages.ErrorRChartWasNullInP0 + result);
 		}
 	}
 	
Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/Messages.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/Messages.java	(revision 0)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/Messages.java	(revision 3871)
@@ -0,0 +1,20 @@
+package org.txm.chartsengine.r.core;
+
+import org.eclipse.osgi.util.NLS;
+import org.txm.utils.messages.Utf8NLS;
+
+public class Messages extends NLS {
+	
+	public static String ErrorNoChartToExport;
+	public static String ErrorRChartWasNullInP0;
+	public static String RChartEngineExportFormatP0CannotDiffferFromTheCurrent;
+	public static String RChartEngineOnlyManageFileChartsP0;
+	
+	static {
+		// initialize resource bundle
+		Utf8NLS.initializeMessages(Messages.class);
+	}
+
+	private Messages() {
+	}
+}

Property changes on: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/Messages.java
___________________________________________________________________
Added: svn:mime-type
   + text/plain

Index: TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 3870)
+++ TXM/trunk/bundles/org.txm.chartsengine.r.core/src/org/txm/chartsengine/r/core/RChartsEngine.java	(revision 3871)
@@ -86,12 +86,12 @@
 	public File exportResultToFile(ChartResult result, File file, int imageWidth, int imageHeight, String outputFormat) {
 		Object chart = result.getChart();
 		if (chart == null) {
-			Log.warning("Error: no chart to export (null). The result was never computed?");
+			Log.warning(Messages.ErrorNoChartToExport);
 			return null;
 		}
 		
 		if (!(chart instanceof File)) {
-			Log.warning("Error: RChartEngine only manage File charts: " + chart);
+			Log.warning(Messages.RChartEngineOnlyManageFileChartsP0 + chart);
 			return null;
 		}
 		
@@ -103,7 +103,7 @@
 			return exportChartToFile(chart, file, outputFormat, imageWidth, imageHeight);
 		}
 		else {
-			Log.warning(NLS.bind("Error: RChartEngine export format ({0}) cannot differ from the current display format ({1})", outputFormat, this.getOutputFormat()));
+			Log.warning(NLS.bind(Messages.RChartEngineExportFormatP0CannotDiffferFromTheCurrent, outputFormat, this.getOutputFormat()));
 		}
 		return null;
 	}
